=== debian/changelog ===
flx (0.6.1-7) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Drop emacs24 from Enhances (package does not exist in bullseye).

  [ Sean Whitton ]
  * Orphan package.
  * Run 'wrap-and-sort -ast'.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dh-elpa (>= 0.0.17).
    + Build-Depends: Drop versioned constraint on elpa-async (>= 1.4).
    + elpa-flx: Drop versioned constraint on emacs (>= 46.0) in Recommends.
    + elpa-flx-ido: Drop versioned constraint on emacs (>= 46.0) in Recommends.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Drop unnecessary dh arguments: --parallel
  * Update standards version to 4.7.0, no changes needed.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 03 Apr 2025 09:13:32 +0800

flx (0.6.1-6) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:34:06 +0900

flx (0.6.1-5) unstable; urgency=medium

  * Team upload
  * Fix Vcs-Git url

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 07:21:58 -0400

flx (0.6.1-4) unstable; urgency=medium

  * Team upload
  * Rebuild with dh-elpa 2.x

 -- David Bremner <bremner@debian.org>  Tue, 26 Jan 2021 07:17:30 -0400

flx (0.6.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild with current dh-elpa

 -- David Bremner <bremner@debian.org>  Mon, 26 Aug 2019 16:35:46 -0300

flx (0.6.1-2) unstable; urgency=medium

  * Rebuild against newer dh-elpa to fix byte compilation against
    unversioned bin:emacs.
  * Drop d/source/local-options for dgit.
  * Update Maintainer field for team rename.
  * Correct dependency emacs->emacsen-common.
  * Point Vcs-* at salsa.
  * Declare compliance with Debian Policy 4.1.4.
    - Drop Built-Using.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 03 Jun 2018 19:06:01 +0100

flx (0.6.1-1) unstable; urgency=medium

  * Initial release. (Closes: #807846)

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 24 Jan 2016 21:46:16 -0700
