=== debian/control ===
Source: flx
Section: lisp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), dh-elpa, elpa-async
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/flx
Vcs-Git: https://salsa.debian.org/emacsen-team/flx.git/
Homepage: https://github.com/lewang/flx

Package: elpa-flx
Architecture: all
Depends: ${misc:Depends}, emacsen-common
Recommends: emacs
Enhances: emacs
Description: sorting algorithm for fuzzy matching in Emacs
 The flx sorting algorithm for Emacs provides fuzzy matching for
 completion engines like Ido.  It is similar to the fuzzy matching
 functionality of Sublime Text.
 .
 The user can input (i) characters from the beginning of the words of
 the desired match and (ii) substrings of the desired match.  For
 example, when matching "save-all-buffers", the user could input
 "sallb", and when matching "eval-buffer" the user could input
 "ebuffer".
 .
 The flx sorting algorithm implements an intelligent trade-off between
 word beginnings and contiguous substrings when ranking possible
 matches.

Package: elpa-flx-ido
Architecture: all
Depends: ${misc:Depends}, emacsen-common, ${elpa:Depends}
Recommends: emacs
Enhances: emacs
Description: allows Emacs Ido to use the flx sorting algorithm
 The flx sorting algorithm for Emacs provides fuzzy matching for
 completion engines like Ido.  It is similar to the fuzzy matching
 functionality of Sublime Text.
 .
 The user can input (i) characters from the beginning of the words of
 the desired match and (ii) substrings of the desired match.  For
 example, when matching "save-all-buffers", the user could input
 "sallb", and when matching "eval-buffer" the user could input
 "ebuffer".
 .
 The flx sorting algorithm implements an intelligent trade-off between
 word beginnings and contiguous substrings when ranking possible
 matches.
 .
 This package allows Emacs Ido to use the flx sorting algorithm.
