=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_installdocs:
	dh_installdocs --link-doc=elpa-flx
